Description

Dear the system admin

Hi, my name is Tan. I have a question.

Can it possible to convert a CEL coordinate value to GAL coordinate value by python code? If possible, how can I use it?

Thank you for reading me.

Tan

History

#1 - 02/26/2016 09:32 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

The answer is yes.

See http://cta.irap.omp.eu/gammalib/howto/sky.html#how-to-convert-sky-map-projections. Just replace the HEALPix map in the example by a WCS

CEL map.

#2 - 02/26/2016 09:42 AM - Knödlseder Jürgen

I recognized that this does maybe not answer your question, as you were asking about coordinates, not maps. Here is how to do this with

coordinates:

dir=gammalib.GSkyDir()

dir.radec_deg(83.63,22.01)

l=dir.l_deg()

b=dir.b_deg()

print(l,b)

#3 - 02/26/2016 09:42 AM - Knödlseder Jürgen

- % Done changed from 0 to 100
http://cta.irap.omp.eu/gammalib/howto/sky.html#how-to-convert-sky-map-projections


#4 - 02/26/2016 10:48 AM - Mayer Michael

Maybe we should add a respective section in the documentation?

#5 - 02/26/2016 12:15 PM - Knödlseder Jürgen

user#77 wrote:

Maybe we should add a respective section in the documentation?

 

Did this already this morning ;-)

#6 - 03/03/2016 05:55 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
